Hooks:Add("LocalizationManagerPostInit", "HeistTesting_Localization_ArmouredTrans", function(loc)
	LocalizationManager:add_localized_strings({
		["heist_armouredtransport1"] = "CROSSROADS",
		["heist_armouredtransport2"] = "HARBOUR",
		["heist_armouredtransport3"] = "UNDERPASS",
		["heist_armouredtransport4"] = "PARK",
		["heist_armouredtransport5"] = "DOWNTOWN",
		["heist_armouredtransport6"] = "TRAIN",
		["heist_armouredtransport_n"] = "GAGE: ARMOURED TRANSPORT",
		["heist_armouredtransport_crimenet"] = "The armoured transport. A bulletproof, hardened vault, moving at high speed through an urban environment. Six wheels, 700 bhp of brute force and its own armed escort with shoot-to-kill orders. Makes you wonder what's inside, doesn't it?"
		})
end)



if not tweak_data then return end

tweak_data.narrative.jobs.armouredtransport = {}
tweak_data.narrative.jobs.armouredtransport.name_id = "heist_armouredtransport_n"
tweak_data.narrative.jobs.armouredtransport.briefing_id = "heist_armouredtransport_crimenet"
--tweak_data.narrative.jobs.armouredtransport.region = "street"
tweak_data.narrative.jobs.armouredtransport.contact = "hoxton_returns"
--tweak_data.narrative.jobs.armouredtransport.contact = "bain"
tweak_data.narrative.jobs.armouredtransport.jc = 30
tweak_data.narrative.jobs.armouredtransport.campaign = true
tweak_data.narrative.jobs.armouredtransport.professional = true
tweak_data.narrative.jobs.armouredtransport.region = "professional"
tweak_data.narrative.jobs.armouredtransport.chain = {
		{
			level_id = "armouredtransport1",
			type_id = "heist_type_assault",
			type = "e"
		},
		{
			level_id = "armouredtransport2",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "armouredtransport3",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "armouredtransport4",
			type_id = "heist_type_assault",
			type = "e"
		},
		{
			level_id = "armouredtransport5",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "armouredtransport6",
			type_id = "heist_type_assault",
			type = "d"
		}
}
tweak_data.narrative.jobs.armouredtransport.briefing_event = "pln_at1_brf_01"
tweak_data.narrative.jobs.armouredtransport.crimenet_callouts = {
		"pln_at1_cnc_01"
}
tweak_data.narrative.jobs.armouredtransport.crimenet_videos = {
		"cn_branchbank1",
		"cn_branchbank3"
}

tweak_data.narrative.jobs.armouredtransport.payout = {
	59500,
	77000,
	210000,
	224000,
	308000
}
tweak_data.narrative.jobs.armouredtransport.contract_cost = {
	112000,
	224000,
	560000,
	1120000,
	1400000
}
tweak_data.narrative.jobs.armouredtransport.experience_mul = {
		1,
		1,
		1,
		1.2,
		1.2
}

tweak_data.narrative.jobs.armouredtransport.contract_visuals = {}
tweak_data.narrative.jobs.armouredtransport.contract_visuals.min_mission_xp = {
		32000,
		32000,
		32000,
		32000,
		32000
}
tweak_data.narrative.jobs.armouredtransport.contract_visuals.max_mission_xp = {
		48000,
		48000,
		48000,
		48000,
		48000
	}
	
tweak_data.narrative.jobs.armouredtransport.dlc = "armored_transport"
	
table.insert(tweak_data.narrative._jobs_index, "armouredtransport")

table.insert(tweak_data.levels._level_index, "armouredtransport1")
table.insert(tweak_data.levels._level_index, "armouredtransport2")
table.insert(tweak_data.levels._level_index, "armouredtransport3")
table.insert(tweak_data.levels._level_index, "armouredtransport4")
table.insert(tweak_data.levels._level_index, "armouredtransport5")
table.insert(tweak_data.levels._level_index, "armouredtransport6")


table.insert(tweak_data.assets.safe_escape.stages, "armouredtransport1")
table.insert(tweak_data.assets.safe_escape.stages, "armouredtransport2")
table.insert(tweak_data.assets.safe_escape.stages, "armouredtransport3")
table.insert(tweak_data.assets.safe_escape.stages, "armouredtransport4")
table.insert(tweak_data.assets.safe_escape.stages, "armouredtransport5")
table.insert(tweak_data.assets.safe_escape.stages, "armouredtransport6")


table.insert(tweak_data.assets.bodybags_bag.stages, "armouredtransport6")

table.insert(tweak_data.assets.grenade_crate.stages, "armouredtransport6")

table.insert(tweak_data.assets.ammo_bag.stages, "armouredtransport6")

table.insert(tweak_data.assets.health_bag.stages, "armouredtransport6")

table.insert(tweak_data.assets.arm_for_health.stages, "armouredtransport1")
table.insert(tweak_data.assets.arm_for_health.stages, "armouredtransport2")
table.insert(tweak_data.assets.arm_for_health.stages, "armouredtransport3")
table.insert(tweak_data.assets.arm_for_health.stages, "armouredtransport4")
table.insert(tweak_data.assets.arm_for_health.stages, "armouredtransport5")

table.insert(tweak_data.assets.arm_for_ammo.stages, "armouredtransport1")
table.insert(tweak_data.assets.arm_for_ammo.stages, "armouredtransport2")
table.insert(tweak_data.assets.arm_for_ammo.stages, "armouredtransport3")
table.insert(tweak_data.assets.arm_for_ammo.stages, "armouredtransport4")
table.insert(tweak_data.assets.arm_for_ammo.stages, "armouredtransport5")

table.insert(tweak_data.assets.arm_cro_info.stages, "armouredtransport1")
table.insert(tweak_data.assets.arm_fac_info.stages, "armouredtransport2")
table.insert(tweak_data.assets.arm_und_info.stages, "armouredtransport3")
table.insert(tweak_data.assets.arm_par_info.stages, "armouredtransport4")
table.insert(tweak_data.assets.arm_hcm_info.stages, "armouredtransport5")

--[[table.insert(tweak_data.assets.bodybags.stages, "armouredtransport1")
table.insert(tweak_data.assets.bodybags.stages, "armouredtransport1b")
table.insert(tweak_data.assets.bodybags.stages, "armouredtransport5")

table.insert(tweak_data.assets.spotter.stages, "armouredtransport1")
table.insert(tweak_data.assets.spotter.stages, "armouredtransport1b")

table.insert(tweak_data.assets.grenade_crate.stages, "armouredtransport1")
table.insert(tweak_data.assets.grenade_crate.stages, "armouredtransport1c")
table.insert(tweak_data.assets.grenade_crate.stages, "armouredtransport1c_skip1")
table.insert(tweak_data.assets.grenade_crate.stages, "armouredtransport1c_skip2")
table.insert(tweak_data.assets.grenade_crate.stages, "armouredtransport5")

table.insert(tweak_data.assets.ammo_bag.stages, "armouredtransport1")
table.insert(tweak_data.assets.ammo_bag.stages, "armouredtransport1b")
table.insert(tweak_data.assets.ammo_bag.stages, "armouredtransport1c")
table.insert(tweak_data.assets.ammo_bag.stages, "armouredtransport1c_skip1")
table.insert(tweak_data.assets.ammo_bag.stages, "armouredtransport1c_skip2")
table.insert(tweak_data.assets.ammo_bag.stages, "armouredtransport5")

table.insert(tweak_data.assets.health_bag.stages, "armouredtransport1")
table.insert(tweak_data.assets.health_bag.stages, "armouredtransport1b")
table.insert(tweak_data.assets.health_bag.stages, "armouredtransport1c")
table.insert(tweak_data.assets.health_bag.stages, "armouredtransport1c_skip1")
table.insert(tweak_data.assets.health_bag.stages, "armouredtransport1c_skip2")
table.insert(tweak_data.assets.health_bag.stages, "armouredtransport5")

table.insert(tweak_data.assets.sniper_spot_election1.stages, "armouredtransport1")
table.insert(tweak_data.assets.sniper_spot_election2.stages, "armouredtransport1b")

table.insert(tweak_data.assets.election_day_1_keycard.stages, "armouredtransport1")
table.insert(tweak_data.assets.election_day_2_keycard.stages, "armouredtransport1b")
table.insert(tweak_data.assets.election_day_2_ladder.stages, "armouredtransport1b")]]