if RequiredScript == "lib/tweak_data/levelstweakdata" then

local LevelsTweakDataoiinit = LevelsTweakData.init

function LevelsTweakData:init(...)

                LevelsTweakDataoiinit(self, ...)

    self.banking1 = {}
	self.banking1.name_id = "heist_branchbank_hl"
	self.banking1.briefing_id = "heist_branchbank_briefing"
	self.banking1.briefing_dialog = "Play_pln_branchbank_random_stage1_brief"
	self.banking1.world_name = "narratives/h_firestarter/stage_3"
	self.banking1.intro_event = {
		"Play_pln_branchbank_random_a_intro_a",
		"Play_pln_branchbank_gold_a_intro_a",
		"Play_pln_branchbank_depositbox_a_intro_a",
		"Play_pln_branchbank_cash_stage1_intro_a"
	}
	self.banking1.outro_event = "Play_pln_branchbank_stage1_end"
	self.banking1.ghost_bonus = 0.1
	self.banking1.max_bags = 24
	self.banking1.music = "heist"
	self.banking1.package = "packages/narr_firestarter3"
	self.banking1.cube = "cube_apply_heist_bank"
	
	if SystemInfo:platform() == Idstring("WIN32") then
	self.banking2 = {}
	self.banking2.name_id = "heist_roberts_hl"
	self.banking2.briefing_id = "heist_roberts_briefing"
	self.banking2.briefing_dialog = "Play_pln_cs1_brf"
	self.banking2.world_name = "narratives/bain/roberts"
	self.banking2.intro_event = "Play_pln_cs1_intro_01"
	self.banking2.outro_event = {
		"Play_pln_cs1_end_01",
		"Play_pln_cs1_end_02",
		"Play_pln_cs1_end_03"
	}
	self.banking2.music = "heist"
	self.banking2.package = "packages/narr_roberts"
	self.banking2.cube = "cube_apply_heist_bank"
	self.banking2.ghost_bonus = 0.1
	self.banking2.max_bags = 38
	end
	
	self.banking3 = {}
	self.banking3.name_id = "heist_election_day_3_hl"
	self.banking3.briefing_id = "eday3_brief_skip1"
	self.banking3.briefing_dialog = "Play_pln_ed3_brf_b"
	self.banking3.world_name = "narratives/e_election_day/stage_3"
	self.banking3.intro_event = "Play_pln_ed3_intro_a"
	self.banking3.outro_event = "Play_pln_ed3_end_a"
	self.banking3.music = "heist"
	self.banking3.package = "packages/narr_election3"
	self.banking3.cube = "cube_apply_heist_bank"
	self.banking3.max_bags = 54

	self.banking4 = {}
	self.banking4.name_id = "heist_red2_hl"
	self.banking4.briefing_id = "heist_red2_briefing"
	self.banking4.briefing_dialog = "Play_pln_fwb_brf_01"
	self.banking4.world_name = "narratives/classics/red2"
	self.banking4.intro_event = "Play_pln_fwb_intro_01"
	self.banking4.outro_event = {
		"Play_pln_fwb_34",
		"Play_pln_fwb_65"
	}
	self.banking4.music = "heist"
	self.banking4.package = {
		"packages/narr_red2"
	}
	self.banking4.cube = "cube_apply_heist_bank"
	self.banking4.max_bags = 122
	self.banking4.ghost_bonus = 0.15
	
	self.banking5 = {}
	self.banking5.name_id = "heist_big_hl"
	self.banking5.briefing_id = "heist_big_briefing"
	self.banking5.briefing_dialog = "Play_pln_bb1_brf_01"
	self.banking5.world_name = "narratives/bain/big"
	self.banking5.intro_event = "Play_pln_bb1_intro_01"
	self.banking5.outro_event = {
		"Play_pln_bb1_end_01",
		"Play_pln_bb1_end_02",
		"Play_pln_bb1_end_03",
		"Play_pln_bb1_end_04"
	}
	self.banking5.music = "big_bank"
	self.banking5.package = "packages/narr_big"
	self.banking5.cube = "cube_apply_heist_bank"
	self.banking5.ghost_bonus = 0.15
	self.banking5.max_bags = 150

end


elseif RequiredScript == "lib/tweak_data/preplanningtweakdata" then

local PrePlanningTweakData_oinit = PrePlanningTweakData._create_locations

function PrePlanningTweakData:_create_locations(tweak_data)
PrePlanningTweakData_oinit(self, tweak_data)

	self.locations.banking1 = {
		default_plans = {
			vault_plan = "branchbank_lance"
		},
		total_budget = 8,
		mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_big",
		start_location = {
			group = "a",
			x = 512,
			y = 512,
			zoom = 1
		},
		{
			name_id = "menu_pp_branchbank_loc_a",
			texture = "guis/textures/pd2/pre_planning/branchbank_1",
			map_x = -0.6,
			map_y = 0,
			map_size = 1,
			x1 = -3500,
			y1 = -300,
			x2 = 500,
			y2 = 3700,
			rotation = 0,
			custom_points = {}
		},
		{
			name_id = "menu_pp_branchbank_loc_b",
			texture = "guis/textures/pd2/pre_planning/branchbank_2",
			map_x = 0.6,
			map_y = 0,
			map_size = 1,
			x1 = -5500,
			y1 = -3200,
			x2 = 2500,
			y2 = 4800,
			rotation = 0,
			custom_points = {}
		}
	}
	

	self.locations.banking5 = {
		default_plans = {
			escape_plan = "escape_helicopter_loud",
			vault_plan = "vault_big_drill"
		},
		total_budget = 10,
		mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_big",
		start_location = {
			group = "a",
			x = 1500,
			y = 1025,
			zoom = 1.5
		},
		{
			name_id = "menu_pp_big_loc_a",
			texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_lobby",
			map_x = -1.1,
			map_y = 0.5,
			map_size = 1,
			x1 = -250,
			y1 = -3000,
			x2 = 5750,
			y2 = 3000,
			rotation = 90,
			custom_points = {
				{
					x = 1500,
					y = 1025,
					text_id = "menu_pp_info_frontdoor",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_a"
				},
				{
					x = 800,
					y = 480,
					text_id = "menu_pp_info_backoffices",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_c"
				},
				{
					x = 1300,
					y = 1690,
					text_id = "menu_pp_info_garage",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_l"
				},
				{
					x = 1000,
					y = 1025,
					text_id = "menu_pp_info_mainhall",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_n"
				},
				{
					x = 1950,
					y = 350,
					text_id = "menu_pp_info_entrypoint",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_o"
				},
				{
					x = 90,
					y = 1024,
					text_id = "menu_pp_info_timelock",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_d"
				},
				{
					x = 348,
					y = 590,
					text_id = "menu_pp_info_securityroom",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_i"
				},
				{
					x = 574,
					y = 1742,
					text_id = "menu_pp_info_securityroom",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_i"
				}
			}
		},
		{
			name_id = "menu_pp_big_loc_b",
			texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_level_2",
			map_x = 0,
			map_y = 0.5,
			map_size = 1,
			x1 = -250,
			y1 = -3000,
			x2 = 5750,
			y2 = 3000,
			rotation = 90,
			custom_points = {
				{
					x = 190,
					y = 1700,
					text_id = "menu_pp_info_mgroffices",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_k"
				},
				{
					x = 800,
					y = 480,
					text_id = "menu_pp_info_backoffices",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_c"
				},
				{
					x = 90,
					y = 1024,
					text_id = "menu_pp_info_timelock",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_d"
				},
				{
					x = 870,
					y = 1625,
					text_id = "menu_pp_info_ladder",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_b"
				},
				{
					x = 164,
					y = 1437,
					text_id = "menu_pp_info_securityroom",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_i"
				}
			}
		},
		{
			name_id = "menu_pp_big_loc_c",
			texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_roof",
			map_x = 1.1,
			map_y = 0.5,
			map_size = 1,
			x1 = -250,
			y1 = -3000,
			x2 = 5750,
			y2 = 3000,
			rotation = 90,
			custom_points = {
				{
					x = 869,
					y = 1629,
					text_id = "menu_pp_info_ladder",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_b"
				},
				{
					x = 1356,
					y = 1164,
					text_id = "menu_pp_info_zipline",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_m"
				},
				{
					x = 782,
					y = 1458,
					text_id = "menu_pp_info_roof",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_h"
				}
			}
		},
		{
			name_id = "menu_pp_big_loc_d",
			texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_level_vault_2",
			map_x = 0,
			map_y = -0.6,
			map_size = 1,
			x1 = -5771,
			y1 = -3000,
			x2 = 229,
			y2 = 3000,
			rotation = 90,
			custom_points = {
				{
					x = 1152,
					y = 1298,
					text_id = "menu_pp_info_vaultsecurity1",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_g"
				},
				{
					x = 1152,
					y = 746,
					text_id = "menu_pp_info_vaultsecurity2",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_g"
				},
				{
					x = 465,
					y = 1365,
					text_id = "menu_pp_info_vault",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_f"
				}
			}
		},
		{
			name_id = "menu_pp_big_loc_e",
			texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_level_vault",
			map_x = -1.1,
			map_y = -0.6,
			map_size = 1,
			x1 = -5771,
			y1 = -3000,
			x2 = 229,
			y2 = 3000,
			rotation = 90,
			custom_points = {
				{
					x = 1154,
					y = 1015,
					text_id = "menu_pp_info_moneycounting",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_e"
				},
				{
					x = 465,
					y = 1365,
					text_id = "menu_pp_info_vault",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_f"
				}
			}
		}
	}
end

end