Hooks:Add("LocalizationManagerPostInit", "HeistTesting_Localization_FallOfTheMendozas", function(loc)
	LocalizationManager:add_localized_strings({
		["heist_fallofthemendozas1"] = "SEARCH AND DESTROY", -- Firestarter 1
		["heist_fallofthemendozas2"] = "INFORMATION HOSTAGE", -- Firestarter 2
		["heist_fallofthemendozas3"] = "THE MENDOZA BANK", -- Firestarter 3
		["heist_fallofthemendozas4"] = "COOKING UP A STORM", -- Rats 1
		["heist_fallofthemendozas5"] = "TRADING FOR INTELLIGENCE", -- Rats 2
		["heist_fallofthemendozas6"] = "TAKE OUT THE MENDOZAS", -- Rats 3
		["heist_fallofthemendozas"] = "HECTOR: FALL OF THE MENDOZAS",
		["heist_contact_hoxret"] = "CAMPAIGNS",
		["heist_fallofthemendozas_crimenet"] = "The Mendoza cartel is trying to take the territory we earned for ourselves down here in D.C. We'll hit them hard, for money, information, and blood. Destroy their armament and ammunition supplies, then find out where their backup savings are. Then, I'll arrange a meth trade with another enemy of the Mendozas for intel. Use that intel to intercept their escape and bring them down once and for all."
		})
end)



if not tweak_data then return end

tweak_data.narrative.contacts.hoxton_returns = {}
tweak_data.narrative.contacts.hoxton_returns.name_id = "heist_contact_hoxret"
tweak_data.narrative.contacts.hoxton_returns.package = "packages/contact_bain"
tweak_data.narrative.contacts.hoxton_returns.assets_gui = Idstring("guis/mission_briefing/preload_contact_bain")

tweak_data.narrative.jobs.fallofthemendozas = {}
tweak_data.narrative.jobs.fallofthemendozas.name_id = "heist_fallofthemendozas"
tweak_data.narrative.jobs.fallofthemendozas.briefing_id = "heist_fallofthemendozas_crimenet"
tweak_data.narrative.jobs.fallofthemendozas.contact = "hoxton_returns"
tweak_data.narrative.jobs.fallofthemendozas.jc = 60
tweak_data.narrative.jobs.fallofthemendozas.campaign = true
tweak_data.narrative.jobs.fallofthemendozas.professional = true
tweak_data.narrative.jobs.fallofthemendozas.region = "professional"
tweak_data.narrative.jobs.fallofthemendozas.chain = {
		{
			level_id = "fallofthemendozas1",
			type_id = "heist_type_hijack",
			type = "d"
		},
		{
			level_id = "fallofthemendozas2",
			type_id = "heist_type_stealth",
			type = "d"
		},
		{
			level_id = "fallofthemendozas3",
			type_id = "heist_type_knockover",
			type = "d",
			mission = "default",
			mission_filter = {5}
		},
		{
			level_id = "fallofthemendozas4",
			type_id = "heist_type_survive",
			type = "d"
		},
		{
			level_id = "fallofthemendozas5",
			type_id = "heist_type_survive",
			type = "d"
		},
		{
			level_id = "fallofthemendozas6",
			type_id = "heist_type_assault",
			type = "d"
		}
}
tweak_data.narrative.jobs.fallofthemendozas.briefing_event = { 
		"hct_firestarter_brf",
		"hct_rats_brf_speak"
	}
tweak_data.narrative.jobs.fallofthemendozas.crimenet_callouts = {
		"hct_firestarter_cnc_01",
		"hct_firestarter_cnc_02",
		"hct_firestarter_cnc_03",
		"hct_rats_cnc_01",
		"hct_rats_cnc_02",
		"hct_rats_cnc_03"
	}
tweak_data.narrative.jobs.fallofthemendozas.crimenet_videos = {
		"cn_fires1",
		"cn_fires2",
		"cn_fires3",
		"cn_rat1",
		"cn_rat2",
		"cn_rat3",
		"contact_hector1",
		"contact_hector2",
		"contact_hector3"
}

tweak_data.narrative.jobs.fallofthemendozas.payout = {
	100000,
	195000,
	260000,
	385000,
	500000
}
tweak_data.narrative.jobs.fallofthemendozas.contract_cost = {
	90000,
	175000,
	450000,
	860000,
	1250000
}
tweak_data.narrative.jobs.fallofthemendozas.experience_mul = {
		1.2,
		1.2,
		1.2,
		1.2,
		1.2
}

tweak_data.narrative.jobs.fallofthemendozas.contract_visuals = {}
tweak_data.narrative.jobs.fallofthemendozas.contract_visuals.min_mission_xp = {
		54000,
		54000,
		54000,
		54000,
		54000
}
tweak_data.narrative.jobs.fallofthemendozas.contract_visuals.max_mission_xp = {
		140000,
		140000,
		140000,
		140000,
		140000
}


table.insert(tweak_data.narrative._jobs_index, "fallofthemendozas")

table.insert(tweak_data.levels._level_index, "fallofthemendozas1")
table.insert(tweak_data.levels._level_index, "fallofthemendozas2")
table.insert(tweak_data.levels._level_index, "fallofthemendozas3")
table.insert(tweak_data.levels._level_index, "fallofthemendozas4")
table.insert(tweak_data.levels._level_index, "fallofthemendozas5")
table.insert(tweak_data.levels._level_index, "fallofthemendozas6")

table.insert(tweak_data.assets.bodybags_bag.stages, "fallofthemendozas2")
table.insert(tweak_data.assets.bodybags_bag.stages, "fallofthemendozas3")

table.insert(tweak_data.assets.spotter.stages, "fallofthemendozas2")
table.insert(tweak_data.assets.firestarter_2_cam.stages, "fallofthemendozas2")

table.insert(tweak_data.assets.grenade_crate.stages, "fallofthemendozas1")
table.insert(tweak_data.assets.grenade_crate.stages, "fallofthemendozas2")
table.insert(tweak_data.assets.grenade_crate.stages, "fallofthemendozas3")
table.insert(tweak_data.assets.grenade_crate.stages, "fallofthemendozas4")

table.insert(tweak_data.assets.sniper_spot_firestarter1.stages, "fallofthemendozas1")
table.insert(tweak_data.assets.sniper_spot_firestarter3.stages, "fallofthemendozas3")

table.insert(tweak_data.assets.firestarter_1_ammo.stages, "fallofthemendozas1")
table.insert(tweak_data.assets.firestarter_1_health.stages, "fallofthemendozas1")

table.insert(tweak_data.assets.firestarter_3_insiderinfo.stages, "fallofthemendozas3")
table.insert(tweak_data.assets.firestarter_3_map_basic.stages, "fallofthemendozas3")

table.insert(tweak_data.assets.sniper_spot_rats1.stages, "fallofthemendozas4")
table.insert(tweak_data.assets.sniper_spot_rats3.stages, "fallofthemendozas6")

table.insert(tweak_data.assets.rat_1_ammo.stages, "fallofthemendozas4")
table.insert(tweak_data.assets.rat_1_health.stages, "fallofthemendozas4")
table.insert(tweak_data.assets.rat_1_lights.stages, "fallofthemendozas4")
table.insert(tweak_data.assets.rat_3_pilot.stages, "fallofthemendozas6")