Hooks:Add("LocalizationManagerPostInit", "HeistTesting_Localization_OnARise", function(loc)
	LocalizationManager:add_localized_strings({
		["heist_onarise1"] = "PROPERTY ON THE STREETS", -- Four Stores
		["heist_onarise2"] = "THE TASTEFUL AND VENGEFUL", -- Nightclub
		["heist_onarise3"] = "PROVING A POINT", -- Mallcrasher
		["heist_onarise4"] = "TIARA TIARA", -- Ukranian Job
		["heist_onarise5"] = "FALLING LIKE SNOW", -- White Xmas
		["heist_onarise6"] = "ABSOLUTE ZERO", -- Meltdown
		["heist_onarise7"] = "QUICK BUSINESS",		-- Aftershock
		["heist_onarise8"] = "ELF BUSINESS",     --Santa's Workshop
		["heist_onarise"] = "VLAD: ON A RISE",
		["heist_onarise_crimenet"] = "Alright, crew. Someone by the name of Vlad is requesting our help. Shot us a message over Crime.NET this morning. From what I can tell, there's nothing too suspicious about him. Ukranian, owns a bunch of property, and has a lot of enemies. A perfect source of contracts, and a perfect source of income for us. Let's take a look."
		})
end)



if not tweak_data then return end

tweak_data.narrative.jobs.onarise = {}
tweak_data.narrative.jobs.onarise.name_id = "heist_onarise"
tweak_data.narrative.jobs.onarise.briefing_id = "heist_onarise_crimenet"
--tweak_data.narrative.jobs.onarise.region = "street"
tweak_data.narrative.jobs.onarise.contact = "hoxton_returns"
--tweak_data.narrative.jobs.onarise.contact = "bain"
tweak_data.narrative.jobs.onarise.jc = 40
tweak_data.narrative.jobs.onarise.campaign = true
tweak_data.narrative.jobs.onarise.professional = true
tweak_data.narrative.jobs.onarise.region = "professional"
tweak_data.narrative.jobs.onarise.chain = {
		{
			level_id = "onarise1",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "onarise2",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "onarise3",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "onarise4",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "onarise5",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "onarise6",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "onarise7",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "onarise8",
			type_id = "heist_type_assault",
			type = "d"
		}
}
tweak_data.narrative.jobs.onarise.briefing_event = "vld_fourstores_brf"
tweak_data.narrative.jobs.onarise.crimenet_callouts = {
		"vld_fourstores_cnc_01",
		"vld_fourstores_cnc_02",
		"vld_fourstores_cnc_03"
	}
tweak_data.narrative.jobs.onarise.crimenet_videos = {
		"cn_fours1",
		"cn_fours2",
		"cn_fours3",
		"cn_ukr1",
		"cn_ukr2",
		"cn_ukr3",
		"cn_mallcrash1",
		"cn_mallcrash2",
		"cn_mallcrash3",
		"cn_nightc1",
		"cn_nightc2",
		"cn_nightc3",
		"contact_vlad1",
		"contact_vlad2",
		"contact_vlad3"
}

tweak_data.narrative.jobs.onarise.payout = {
	1237850,
	2060000,
	3250000,
	4510000,
	5007000
}
tweak_data.narrative.jobs.onarise.contract_cost = {
	172400,
	344800,
	614000,
	1800000,
	2320000
}
tweak_data.narrative.jobs.onarise.experience_mul = {
		1,
		1.1,
		1.2,
		1.25,
		1.325
}

tweak_data.narrative.jobs.onarise.contract_visuals = {}
tweak_data.narrative.jobs.onarise.contract_visuals.min_mission_xp = {
		30000,
		36000,
		42000,
		48000,
		52000
}
tweak_data.narrative.jobs.onarise.contract_visuals.max_mission_xp = {
		2000000,
		3000000,
		4600000,
		5200000,
		6880000
}


table.insert(tweak_data.narrative._jobs_index, "onarise")

table.insert(tweak_data.levels._level_index, "onarise1")
table.insert(tweak_data.levels._level_index, "onarise2")
table.insert(tweak_data.levels._level_index, "onarise3")
table.insert(tweak_data.levels._level_index, "onarise4")
table.insert(tweak_data.levels._level_index, "onarise5")
table.insert(tweak_data.levels._level_index, "onarise6")
table.insert(tweak_data.levels._level_index, "onarise7")
table.insert(tweak_data.levels._level_index, "onarise8")

table.insert(tweak_data.assets.safe_escape.stages, "onarise1")
table.insert(tweak_data.assets.safe_escape.stages, "onarise2")
table.insert(tweak_data.assets.safe_escape.stages, "onarise4")

table.insert(tweak_data.assets.bodybags_bag.stages, "onarise1")
table.insert(tweak_data.assets.bodybags_bag.stages, "onarise2")
table.insert(tweak_data.assets.bodybags_bag.stages, "onarise4")

table.insert(tweak_data.assets.four_stores_overview.stages, "onarise1")

table.insert(tweak_data.assets.nightclub_ammo.stages, "onarise2")
table.insert(tweak_data.assets.nightclub_health.stages, "onarise2")
table.insert(tweak_data.assets.nightclub_fire1.stages, "onarise2")
table.insert(tweak_data.assets.nightclub_fire2.stages, "onarise2")
table.insert(tweak_data.assets.nightclub_badmusic.stages, "onarise2")
table.insert(tweak_data.assets.nightclub_lootpickup.stages, "onarise2")

table.insert(tweak_data.assets.mallcrasher_ammo.stages, "onarise3")
table.insert(tweak_data.assets.mallcrasher_health.stages, "onarise3")
table.insert(tweak_data.assets.mallcrasher_gascan_south.stages, "onarise3")
table.insert(tweak_data.assets.mallcrasher_gascan_north.stages, "onarise3")

table.insert(tweak_data.assets.sniper_spot_jewelery.stages, "onarise4")
table.insert(tweak_data.assets.ukrainian_job_tiara.stages, "onarise4")
table.insert(tweak_data.assets.ukrainian_job_front.stages, "onarise4")
table.insert(tweak_data.assets.ukrainian_job_cam.stages, "onarise4")
table.insert(tweak_data.assets.ukrainian_job_metal_detector.stages, "onarise4")
table.insert(tweak_data.assets.ukrainian_job_shutter.stages, "onarise4")
table.insert(tweak_data.assets.security_safe_05x05.stages, "onarise4")

table.insert(tweak_data.assets.ammo_bag.stages, "onarise6")
table.insert(tweak_data.assets.health_bag.stages, "onarise6")

table.insert(tweak_data.assets.ammo_bag.stages, "onarise7")
table.insert(tweak_data.assets.health_bag.stages, "onarise7")

table.insert(tweak_data.assets.ammo_bag.stages, "onarise8")
table.insert(tweak_data.assets.health_bag.stages, "onarise8")
table.insert(tweak_data.assets.grenade_crate.stages, "onarise8")