Hooks:Add("LocalizationManagerPostInit", "HeistTesting_Localization_Retail", function(loc)
	LocalizationManager:add_localized_strings({
		["heist_retail1"] = "STARTING SMALL",
		["heist_retail2"] = "VISITING AN OLD FRIEND",		
		["heist_retail3"] = "THE FOUR STORES", 
		["heist_retail4"] = "PROTECTION MONEY",
		["heist_retail5"] = "DIAMONDS, DIAMONDS, DIAMONDS",
		["heist_retail"] = "VLAD: RETAIL RETALIATION",
		["heist_retail_crimenet"] = "Vlad is having problems with some local businessmen selling goods on his turf and not paying him his cut. He has asked us to show the locals, what it means to be selling on his turf."
		})
end)



if not tweak_data then return end

tweak_data.narrative.jobs.retail = {}
tweak_data.narrative.jobs.retail.name_id = "heist_retail"
tweak_data.narrative.jobs.retail.briefing_id = "heist_retail_crimenet"
tweak_data.narrative.jobs.retail.contact = "hoxton_returns"
tweak_data.narrative.jobs.retail.jc = 40
tweak_data.narrative.jobs.retail.campaign = true
tweak_data.narrative.jobs.retail.professional = true
tweak_data.narrative.jobs.retail.region = "professional"
tweak_data.narrative.jobs.retail.chain = {
		{
			level_id = "retail1",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "retail2",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "retail3",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "retail4",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "retail5",
			type_id = "heist_type_assault",
			type = "d"
		}
}
tweak_data.narrative.jobs.retail.briefing_event = "pln_jewelrystore_stage1_brf_speak"
tweak_data.narrative.jobs.retail.crimenet_callouts = {
		"pln_jewelrystore_stage1_cnc_01"
	}
tweak_data.narrative.jobs.retail.crimenet_videos = {
		"cn_jewel1",
		"cn_jewel2",
		"cn_jewel3"
}

tweak_data.narrative.jobs.retail.payout = {
	50000,
	81000,
	173000,
	305000,
	390000
}
tweak_data.narrative.jobs.retail.contract_cost = {
	44000,
	88000,
	220000,
	440000,
	510000
}
tweak_data.narrative.jobs.retail.experience_mul = {
		1,
		1.1,
		1.2,
		1.25,
		1.3
}

tweak_data.narrative.jobs.retail.contract_visuals = {}
tweak_data.narrative.jobs.retail.contract_visuals.min_mission_xp = {
		24000,
		24000,
		24000,
		24000,
		24000
}
tweak_data.narrative.jobs.retail.contract_visuals.max_mission_xp = {
		50000,
		50000,
		50000,
		50000,
		50000
}


table.insert(tweak_data.narrative._jobs_index, "retail")

table.insert(tweak_data.levels._level_index, "retail1")
table.insert(tweak_data.levels._level_index, "retail2")
table.insert(tweak_data.levels._level_index, "retail3")
table.insert(tweak_data.levels._level_index, "retail4")
table.insert(tweak_data.levels._level_index, "retail5")

table.insert(tweak_data.assets.bodybags_bag.stages, "retail1")
table.insert(tweak_data.assets.sniper_spot_jewelery.stages, "retail1")
table.insert(tweak_data.assets.safe_escape.stages, "retail1")

table.insert(tweak_data.assets.ukrainian_job_tiara.stages, "retail2")
table.insert(tweak_data.assets.ukrainian_job_cam.stages, "retail2")
table.insert(tweak_data.assets.ukrainian_job_metal_detector.stages, "retail2")
table.insert(tweak_data.assets.ukrainian_job_shutter.stages, "retail2")
table.insert(tweak_data.assets.security_safe_05x05.stages, "retail2")
table.insert(tweak_data.assets.safe_escape.stages, "retail2")

table.insert(tweak_data.assets.four_stores_overview.stages, "retail3")
table.insert(tweak_data.assets.safe_escape.stages, "retail3")

table.insert(tweak_data.assets.mallcrasher_ammo.stages, "retail4")
table.insert(tweak_data.assets.mallcrasher_health.stages, "retail4")
table.insert(tweak_data.assets.mallcrasher_gascan_south.stages, "retail4")
table.insert(tweak_data.assets.mallcrasher_gascan_north.stages, "retail4")

table.insert(tweak_data.assets.safe_escape.stages, "retail5")
table.insert(tweak_data.assets.bodybags_bag.stages, "retail5")