if RequiredScript == "lib/tweak_data/levelstweakdata" then

local LevelsTweakDataoiinit = LevelsTweakData.init

function LevelsTweakData:init(...)

                LevelsTweakDataoiinit(self, ...)

    self.retail1 = {}
	self.retail1.name_id = "heist_jewelry_store_hl"
	self.retail1.briefing_id = "heist_jewelry_store_briefing"
	self.retail1.briefing_dialog = "pln_jewelerystore_stage1_brief"
	self.retail1.world_name = "narratives/vlad/jewelry_store"
	self.retail1.intro_event = {
		"pln_jewelrystore_stage1_intro_01",
		"pln_jewelrystore_stage1_intro_02",
		"pln_jewelrystore_stage1_intro_03",
		"pln_jewelrystore_stage1_intro_04",
		"pln_jewelrystore_stage1_intro_05",
		"pln_jewelrystore_stage1_intro_06"
	}
	self.retail1.outro_event = "pln_jewelerystore_stage1_end"
	self.retail1.music = "heist"
	self.retail1.package = "packages/ukrainian_job"
	self.retail1.cube = "cube_apply_heist_bank"
	self.retail1.ghost_bonus = 0.05
	self.retail1.max_bags = 16
	
	self.retail2 = {}
	self.retail2.name_id = "heist_ukrainian_job_hl"
	self.retail2.briefing_id = "heist_ukrainian_job_briefing"
	self.retail2.briefing_dialog = "Play_pln_ukranian_stage1_brief"
	self.retail2.briefing_assets_gui = Idstring("guis/mission_briefing/preload_stage_quick_diamond")
	self.retail2.world_name = "narratives/vlad/ukrainian_job"
	self.retail2.intro_event = "Play_pln_ukranian_stage1_intro_a"
	self.retail2.outro_event = {
		"Play_pln_ukranian_stage1_end_a",
		"Play_pln_ukranian_stage1_end_b",
		"Play_pln_ukranian_stage1_end_c"
	}
	self.retail2.music = "heist"
	self.retail2.package = {
		"packages/ukrainian_job"
	}
	self.retail2.cube = "cube_apply_heist_bank"
	self.retail2.group_ai_preset = "small_urban"
	self.retail2.ghost_bonus = 0.05
	self.retail2.max_bags = 32
	
	self.retail3 = {}
	self.retail3.name_id = "heist_four_stores_hl"
	self.retail3.briefing_id = "heist_four_stores_briefing"
	self.retail3.briefing_dialog = "Play_pln_fourstores_stage1_brief"
	self.retail3.world_name = "narratives/vlad/four_stores"
	self.retail3.intro_event = "Play_pln_fourstores_stage1_intro_a"
	self.retail3.outro_event = {
		"Play_pln_fourstores_stage1_end_a",
		"Play_pln_fourstores_stage1_end_b"
	}
	self.retail3.music = "heist"
	self.retail3.package = "packages/vlad_four_stores"
	self.retail3.cube = "cube_apply_heist_bank"
	self.retail3.ghost_bonus = 0.05
	self.retail3.max_bags = 37

	self.retail4 = {}
	self.retail4.name_id = "heist_mallcrasher_hl"
	self.retail4.briefing_id = "heist_mallcrasher_briefing"
	self.retail4.briefing_dialog = "Play_pln_mallcrasch_stage1_brief"
	self.retail4.world_name = "narratives/vlad/mallcrasher"
	self.retail4.intro_event = "Play_pln_mallcrasch_stage1_intro_a"
	self.retail4.outro_event = {
		"Play_pln_mallcrasch_stage1_end_a",
		"Play_pln_mallcrasch_stage1_end_b"
	}
	self.retail4.music = "heist"
	self.retail4.package = "packages/vlad_mallcrasher"
	self.retail4.cube = "cube_apply_heist_bank"
	self.retail4.max_bags = 49
	
	self.retail5 = {}
	self.retail5.name_id = "heist_family_hl"
	self.retail5.briefing_id = "heist_family_briefing"
	self.retail5.briefing_dialog = "pln_fj1_brf_01"
	self.retail5.world_name = "narratives/bain/diamond_store"
	self.retail5.intro_event = "Play_pln_fj1_intro_01"
	self.retail5.outro_event = {
		"Play_pln_fj1_end_01",
		"Play_pln_fj1_end_02"
	}
	self.retail5.music = "heist"
	self.retail5.package = "packages/narr_family"
	self.retail5.cube = "cube_apply_heist_bank"
	self.retail5.ghost_bonus = 0.05
	self.retail5.max_bags = 73

end


elseif RequiredScript == "lib/tweak_data/preplanningtweakdata" then

local PrePlanningTweakData_oinit = PrePlanningTweakData._create_locations

function PrePlanningTweakData:_create_locations(tweak_data)
PrePlanningTweakData_oinit(self, tweak_data)

	self.locations.banking1 = {
		default_plans = {
			vault_plan = "branchbank_lance"
		},
		total_budget = 8,
		mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_big",
		start_location = {
			group = "a",
			x = 512,
			y = 512,
			zoom = 1
		},
		{
			name_id = "menu_pp_branchbank_loc_a",
			texture = "guis/textures/pd2/pre_planning/branchbank_1",
			map_x = -0.6,
			map_y = 0,
			map_size = 1,
			x1 = -3500,
			y1 = -300,
			x2 = 500,
			y2 = 3700,
			rotation = 0,
			custom_points = {}
		},
		{
			name_id = "menu_pp_branchbank_loc_b",
			texture = "guis/textures/pd2/pre_planning/branchbank_2",
			map_x = 0.6,
			map_y = 0,
			map_size = 1,
			x1 = -5500,
			y1 = -3200,
			x2 = 2500,
			y2 = 4800,
			rotation = 0,
			custom_points = {}
		}
	}
	

	self.locations.banking5 = {
		default_plans = {
			escape_plan = "escape_helicopter_loud",
			vault_plan = "vault_big_drill"
		},
		total_budget = 10,
		mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_big",
		start_location = {
			group = "a",
			x = 1500,
			y = 1025,
			zoom = 1.5
		},
		{
			name_id = "menu_pp_big_loc_a",
			texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_lobby",
			map_x = -1.1,
			map_y = 0.5,
			map_size = 1,
			x1 = -250,
			y1 = -3000,
			x2 = 5750,
			y2 = 3000,
			rotation = 90,
			custom_points = {
				{
					x = 1500,
					y = 1025,
					text_id = "menu_pp_info_frontdoor",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_a"
				},
				{
					x = 800,
					y = 480,
					text_id = "menu_pp_info_backoffices",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_c"
				},
				{
					x = 1300,
					y = 1690,
					text_id = "menu_pp_info_garage",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_l"
				},
				{
					x = 1000,
					y = 1025,
					text_id = "menu_pp_info_mainhall",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_n"
				},
				{
					x = 1950,
					y = 350,
					text_id = "menu_pp_info_entrypoint",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_o"
				},
				{
					x = 90,
					y = 1024,
					text_id = "menu_pp_info_timelock",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_d"
				},
				{
					x = 348,
					y = 590,
					text_id = "menu_pp_info_securityroom",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_i"
				},
				{
					x = 574,
					y = 1742,
					text_id = "menu_pp_info_securityroom",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_i"
				}
			}
		},
		{
			name_id = "menu_pp_big_loc_b",
			texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_level_2",
			map_x = 0,
			map_y = 0.5,
			map_size = 1,
			x1 = -250,
			y1 = -3000,
			x2 = 5750,
			y2 = 3000,
			rotation = 90,
			custom_points = {
				{
					x = 190,
					y = 1700,
					text_id = "menu_pp_info_mgroffices",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_k"
				},
				{
					x = 800,
					y = 480,
					text_id = "menu_pp_info_backoffices",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_c"
				},
				{
					x = 90,
					y = 1024,
					text_id = "menu_pp_info_timelock",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_d"
				},
				{
					x = 870,
					y = 1625,
					text_id = "menu_pp_info_ladder",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_b"
				},
				{
					x = 164,
					y = 1437,
					text_id = "menu_pp_info_securityroom",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_i"
				}
			}
		},
		{
			name_id = "menu_pp_big_loc_c",
			texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_roof",
			map_x = 1.1,
			map_y = 0.5,
			map_size = 1,
			x1 = -250,
			y1 = -3000,
			x2 = 5750,
			y2 = 3000,
			rotation = 90,
			custom_points = {
				{
					x = 869,
					y = 1629,
					text_id = "menu_pp_info_ladder",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_b"
				},
				{
					x = 1356,
					y = 1164,
					text_id = "menu_pp_info_zipline",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_m"
				},
				{
					x = 782,
					y = 1458,
					text_id = "menu_pp_info_roof",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_h"
				}
			}
		},
		{
			name_id = "menu_pp_big_loc_d",
			texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_level_vault_2",
			map_x = 0,
			map_y = -0.6,
			map_size = 1,
			x1 = -5771,
			y1 = -3000,
			x2 = 229,
			y2 = 3000,
			rotation = 90,
			custom_points = {
				{
					x = 1152,
					y = 1298,
					text_id = "menu_pp_info_vaultsecurity1",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_g"
				},
				{
					x = 1152,
					y = 746,
					text_id = "menu_pp_info_vaultsecurity2",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_g"
				},
				{
					x = 465,
					y = 1365,
					text_id = "menu_pp_info_vault",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_f"
				}
			}
		},
		{
			name_id = "menu_pp_big_loc_e",
			texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_level_vault",
			map_x = -1.1,
			map_y = -0.6,
			map_size = 1,
			x1 = -5771,
			y1 = -3000,
			x2 = 229,
			y2 = 3000,
			rotation = 90,
			custom_points = {
				{
					x = 1154,
					y = 1015,
					text_id = "menu_pp_info_moneycounting",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_e"
				},
				{
					x = 465,
					y = 1365,
					text_id = "menu_pp_info_vault",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_f"
				}
			}
		}
	}
end

end